package de.intevation.gnv.action;

/**
 * This class defines some keys used to store different exception types in the
 * session.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class CommunicationKeys {
    /**
     * The Key which should be used for accessing ExceptionMessages
     */
    public final static String REQUEST_EXCEPTION_MESSAGE_ID = "request_exception_message_id";

    /**
     * Key used to store exceptions relating to wrong user input.
     */
    public final static String REQUEST_EXCEPTION_INPUT_ID   = "request_exception_input_id";

    /**
     * Key used to store exceptions relating to more general errors occured in
     * the server.
     */
    public final static String REQUEST_EXCEPTION_MESSAGE    = "request_exception_message";

    /**
     * Key used to store exceptions relating to an invalid input format.
     */
    public final static String REQUEST_EXCEPTION_VALUE      = "request_exception_value";

    /**
     * Key used to store exceptions relating to a load/save project error.
     */
    public final static String REQUEST_EXCEPTION_PROJECT    = "request_exception_project";
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :